B15F Board 15 Famulus Edition

Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
ViewPromt Class Reference

`#include <view_promt.h>`

Inheritance diagram for ViewPromt:

## Public Member Functions
virtual void | draw (void) override
virtual void | setMessage (std::string message)
virtual void | setConfirm (std::string name, call_t call)
virtual void | setCancel (std::string name, bool cancelable)
virtual std::string | getInput (void)
virtual call_t | keypress (int &key) override
Public Member Functions inherited from View
virtual void | setTitle (std::string title)
virtual void | repaint (void)

## Protected Attributes
size_t | selection = 1
std::string | input
std::string | message = "Input"
std::string | label_confirm = "[ OK ]"
std::string | sep = " "
std::string | label_cancel = "[ Cancel ]"
call_t | call_confirm = nullptr
bool | cancelable = true
int | button_offset_x = 0
int | button_offset_y = 0
Protected Attributes inherited from View
int | width
int | height
int | start_x = 0
int | start_y = 0
std::string | title
std::vector< call_t > | calls

## Static Protected Attributes
constexpr static int | text_offset_x = 2
constexpr static int | text_offset_y = 2
Static Protected Attributes inherited from View
static WINDOW * | win = nullptr
constexpr static int | KEY_ENT = 10

## Additional Inherited Members
Static Public Member Functions inherited from View
static void | setWinContext (WINDOW *win)
static WINDOW * | getWinContext (void)
static std::vector< std::string > | str_split (const std::string &str, const std::string delim)

## Detailed Description

View for basic user text input.

Definition at line 10 of file view_promt.h.

The documentation for this class was generated from the following files:

- ui/view_promt.h
- ui/view_promt.cpp